### Struct

# Ggit DiffBinaryFile

#### Description [src]

    struct GgitDiffBinaryFile {
      /* No available fields */
    }

Represents a diff binary file.

#### Instance methods

###### ggit_diff_binary_file_get_binary_type

Gets the `GgitDiffBinaryType` for `file`.

###### ggit_diff_binary_file_get_data

Get the binary data. This data should not be modified.

###### ggit_diff_binary_file_get_inflated_size

Gets the length of the binary data after inflation.

###### ggit_diff_binary_file_ref

Atomically increments the reference count of `file` by one. This function is MT-safe and may be called from any thread.

###### ggit_diff_binary_file_unref

Atomically decrements the reference count of `file` by one. If the reference count drops to 0, `file` is freed.